Retrieve a particular transaction
curl --request GET \
--url https://external.dev.onboardpay.co/transactions/{id} \
--header 'x-auth-token: <api-key>'import requests
url = "https://external.dev.onboardpay.co/transactions/{id}"
headers = {"x-auth-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-auth-token': '<api-key>'}};
fetch('https://external.dev.onboardpay.co/transactions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://external.dev.onboardpay.co/transactions/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-auth-token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://external.dev.onboardpay.co/transactions/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-auth-token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://external.dev.onboardpay.co/transactions/{id}")
.header("x-auth-token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://external.dev.onboardpay.co/transactions/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-auth-token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reference": "0165359005113074501885",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "INITIATED",
"fee": {
"asToken": "1000.0",
"asFiat": 123
},
"customerName": "John Doe",
"offer": {
"partnerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transactionType": "ONRAMP",
"rate": 0.32,
"networkId": "TRC20",
"token": "USDT",
"tokenAmount": 120.5,
"instantPayEnabled": true,
"offerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fiatSymbol": "NGN",
"fiatAmount": 120.5,
"usdAmount": 120.5,
"partnerDisplayName": "John Doe",
"adNote": "Guaranteed fast payment",
"instantPayPaymentAccountId": "<string>",
"tradeMode": "P2P"
},
"escrowAddress": 1.2869144918162796e+48,
"paymentChannelId": "BANK_TRANSFER_NIGERIA",
"paymentMethod": {},
"buyerPaymentMethod": {},
"customerWallet": {
"walletAddress": 0,
"networkId": "bsc_testnet",
"walletName": "My Trust Wallet"
},
"tokenAddress": 0,
"createdAt": "2023-11-07T05:31:56Z",
"initiatedAt": "2023-11-07T05:31:56Z",
"depositedAt": "2023-11-07T05:31:56Z",
"confirmedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"cancelledAt": "2023-11-07T05:31:56Z",
"cancellationReason": "<string>",
"disputeId": "null",
"timeout": {
"name": "APPROVE_TRANSACTION",
"startTime": "2023-11-07T05:31:56Z",
"duration": 123,
"timeLeft": 123
},
"lockHash": "null",
"confirmationHash": "null",
"cancellationHash": "null",
"isPartnerAcknowledged": false,
"defaultingParty": "CUSTOMER",
"rating": 3,
"isCexOrder": false,
"instantPayProcessingStatus": "PENDING_IP_REPORT",
"tradeValue": 123,
"merchantTokenValue": 123,
"customerTokenValue": 123,
"payableAmount": 123,
"thirdpartyOrderInfo": {
"businessId": "<string>",
"tradeId": "<string>",
"product": "<string>",
"blockchainOrderId": 123,
"externalOrderReference": "<string>"
},
"isNoKyc": true,
"paymentReceiptUploadId": "null",
"suppressCustomerNotifications": false,
"chatUnavailable": false,
"tradeContext": "STANDARD_TRADE"
}{
"code": "UNKNOWN_ERROR",
"message": "Request could not be completed due to an error",
"data": {}
}{
"code": "UNKNOWN_ERROR",
"message": "Request could not be completed due to an error",
"data": {}
}{
"code": "UNKNOWN_ERROR",
"message": "Request could not be completed due to an error",
"data": {}
}Orders
Get order by transaction ID
GET
/
transactions
/
{id}
Retrieve a particular transaction
curl --request GET \
--url https://external.dev.onboardpay.co/transactions/{id} \
--header 'x-auth-token: <api-key>'import requests
url = "https://external.dev.onboardpay.co/transactions/{id}"
headers = {"x-auth-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-auth-token': '<api-key>'}};
fetch('https://external.dev.onboardpay.co/transactions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://external.dev.onboardpay.co/transactions/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-auth-token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://external.dev.onboardpay.co/transactions/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-auth-token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://external.dev.onboardpay.co/transactions/{id}")
.header("x-auth-token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://external.dev.onboardpay.co/transactions/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-auth-token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reference": "0165359005113074501885",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "INITIATED",
"fee": {
"asToken": "1000.0",
"asFiat": 123
},
"customerName": "John Doe",
"offer": {
"partnerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transactionType": "ONRAMP",
"rate": 0.32,
"networkId": "TRC20",
"token": "USDT",
"tokenAmount": 120.5,
"instantPayEnabled": true,
"offerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fiatSymbol": "NGN",
"fiatAmount": 120.5,
"usdAmount": 120.5,
"partnerDisplayName": "John Doe",
"adNote": "Guaranteed fast payment",
"instantPayPaymentAccountId": "<string>",
"tradeMode": "P2P"
},
"escrowAddress": 1.2869144918162796e+48,
"paymentChannelId": "BANK_TRANSFER_NIGERIA",
"paymentMethod": {},
"buyerPaymentMethod": {},
"customerWallet": {
"walletAddress": 0,
"networkId": "bsc_testnet",
"walletName": "My Trust Wallet"
},
"tokenAddress": 0,
"createdAt": "2023-11-07T05:31:56Z",
"initiatedAt": "2023-11-07T05:31:56Z",
"depositedAt": "2023-11-07T05:31:56Z",
"confirmedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"cancelledAt": "2023-11-07T05:31:56Z",
"cancellationReason": "<string>",
"disputeId": "null",
"timeout": {
"name": "APPROVE_TRANSACTION",
"startTime": "2023-11-07T05:31:56Z",
"duration": 123,
"timeLeft": 123
},
"lockHash": "null",
"confirmationHash": "null",
"cancellationHash": "null",
"isPartnerAcknowledged": false,
"defaultingParty": "CUSTOMER",
"rating": 3,
"isCexOrder": false,
"instantPayProcessingStatus": "PENDING_IP_REPORT",
"tradeValue": 123,
"merchantTokenValue": 123,
"customerTokenValue": 123,
"payableAmount": 123,
"thirdpartyOrderInfo": {
"businessId": "<string>",
"tradeId": "<string>",
"product": "<string>",
"blockchainOrderId": 123,
"externalOrderReference": "<string>"
},
"isNoKyc": true,
"paymentReceiptUploadId": "null",
"suppressCustomerNotifications": false,
"chatUnavailable": false,
"tradeContext": "STANDARD_TRADE"
}{
"code": "UNKNOWN_ERROR",
"message": "Request could not be completed due to an error",
"data": {}
}{
"code": "UNKNOWN_ERROR",
"message": "Request could not be completed due to an error",
"data": {}
}{
"code": "UNKNOWN_ERROR",
"message": "Request could not be completed due to an error",
"data": {}
}Retrieves detailed information about a specific order using its internal ID.
Authorizations
Path Parameters
Response
Success
Example:
"0165359005113074501885"
Order transaction status
Available options:
INITIATED, DEPOSITED, CONFIRMED, COMPLETED, PENDING, CANCELLED, IN_DISPUTE, AWAITING_ACCEPTANCE Show child attributes
Show child attributes
Example:
"John Doe"
Show child attributes
Show child attributes
Escrow address
Example:
1.2869144918162796e+48
Example:
"BANK_TRANSFER_NIGERIA"
Show child attributes
Show child attributes
Example:
0
Show child attributes
Show child attributes
Type of user/role of user in transaction
Available options:
CUSTOMER, PARTNER Example:
3
Example:
false
Available options:
PENDING_IP_REPORT, IN_PROGRESS, FAILURE, SUCCESS Actual token amount that is to be traded
Actual token value that is to be traded by merchant less any fees
Actual token value that is to be traded by customer less any fees
Actual fiat amount that is to be paid.
Show child attributes
Show child attributes
Flag showing if order is a no kyc order
Upload ID for receipt uploaded on storage bucket
Flag to indicate if notifications should be sent to the customer or not during the lifetime of this transaction
Flag to indicate if chat is unavailable for this transaction
Available options:
STANDARD_TRADE, INTERNAL_RAIL